# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IO/Pipe.pm) perl(IO/Select.pm) perl(IO/String.pm) perl(IPC/Run.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Pod/Text.pm) perl(Storable.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(parent.pm) perl(Class/Accessor.pm)
# END SourceDeps(oneline)
%define module_version 0.07
%define module_name SNMP-Extension-PassPersist
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Generic pass/pass_persist extension framework
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SA/SAPER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module is a framework for writing Net-SNMP extensions using the.`pass' or `pass_persist' mechanisms.

When in `pass_persist' mode, it provides a mechanism to spare
ressources by quitting from the main loop after a given number of
idle cycles.

This module can use `Sort::Key::OID' when it is available, for sorting
OIDs faster than with the internal pure Perl function.



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

